Index: /branches/version-2_13-dev/data/class/util/SC_Utils.php
===================================================================
--- /branches/version-2_13-dev/data/class/util/SC_Utils.php	(revision 23340)
+++ /branches/version-2_13-dev/data/class/util/SC_Utils.php	(revision 23415)
@@ -1602,5 +1602,5 @@
      * @return boolean $val が空白と判断された場合 true
      */
-    public function isBlank($val, $greedy = true)
+    public static function isBlank($val, $greedy = true)
     {
         if (is_array($val)) {
@@ -1667,5 +1667,4 @@
     public function sfGetHashString($str, $salt)
     {
-        $res = '';
         if ($salt == '') {
             $salt = AUTH_MAGIC;
@@ -1868,6 +1867,6 @@
     /**
      * 指定されたパスの配下を再帰的にコピーします.
-     * @param  string $imageDir コピー元ディレクトリのパス
-     * @param  string $destDir  コピー先ディレクトリのパス
+     * @param string $source_path コピー元ディレクトリのパス
+     * @param string $dest_path コピー先ディレクトリのパス
      * @return void
      */
@@ -1898,5 +1897,5 @@
      * @return string
      */
-    public function repeatStrWithSeparator($input, $multiplier, $separator = ',')
+    public static function repeatStrWithSeparator($input, $multiplier, $separator = ',')
     {
         return implode($separator, array_fill(0, $multiplier, $input));
Index: /branches/version-2_13-dev/data/class/util/GC_Utils.php
===================================================================
--- /branches/version-2_13-dev/data/class/util/GC_Utils.php	(revision 23124)
+++ /branches/version-2_13-dev/data/class/util/GC_Utils.php	(revision 23415)
@@ -180,5 +180,5 @@
      * @param bool   $verbose 冗長な出力を行うか
      */
-    public function gfPrintLog($msg, $path = '', $verbose = USE_VERBOSE_LOG)
+    public static function gfPrintLog($msg, $path = '', $verbose = USE_VERBOSE_LOG)
     {
         // 日付の取得
@@ -363,6 +363,4 @@
     public function getUrl()
     {
-        $url = '';
-
         if (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') {
             $url = 'https://';
Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_TaxRule.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_TaxRule.php	(revision 23405)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_TaxRule.php	(revision 23415)
@@ -34,8 +34,12 @@
      * 設定情報に基づいて税金付与した金額を返す
      *
-     * @param  integer $price 計算対象の金額
-     * @return integer 税金付与した金額
-     */
-    public function sfCalcIncTax($price, $product_id = 0, $product_class_id = 0, $pref_id =0, $country_id = 0)
+     * @param int $price 計算対象の金額
+     * @param int $product_id 商品ID
+     * @param int $product_class_id 商品規格ID
+     * @param int $pref_id 都道府県ID
+     * @param int $country_id 国ID
+     * @return int 税金付与した金額
+     */
+    public static function sfCalcIncTax($price, $product_id = 0, $product_class_id = 0, $pref_id =0, $country_id = 0)
     {
         return $price + SC_Helper_TaxRule_Ex::sfTax($price, $product_id, $product_class_id, $pref_id, $country_id);
@@ -45,8 +49,12 @@
      * 設定情報に基づいて税金の金額を返す
      *
-     * @param  integer $price 計算対象の金額
-     * @return integer 税金した金額
-     */
-    public function sfTax($price, $product_id = 0, $product_class_id = 0, $pref_id =0, $country_id = 0)
+     * @param int $price 計算対象の金額
+     * @param int $product_id 商品ID
+     * @param int $product_class_id 商品規格ID
+     * @param int $pref_id 都道府県ID
+     * @param int $country_id 国ID
+     * @return int 税金付与した金額
+     */
+    public static function sfTax($price, $product_id = 0, $product_class_id = 0, $pref_id =0, $country_id = 0)
     {
         $arrTaxRule = SC_Helper_TaxRule_Ex::getTaxRule($product_id, $product_class_id, $pref_id, $country_id);
@@ -59,8 +67,9 @@
      * (受注データのようにルールが決まっている場合用)
      *
-     * @param  integer $price 計算対象の金額
-     * @return integer 税金付与した金額
-     */
-    public function calcIncTaxFromRuleId($price, $tax_rule_id = 0)
+     * @param int $price 計算対象の金額
+     * @param int $tax_rule_id 税規約ID
+     * @return int 税金付与した金額
+     */
+    public static function calcIncTaxFromRuleId($price, $tax_rule_id = 0)
     {
         return $price + SC_Helper_TaxRule_Ex::calcTaxFromRuleId($price, $tax_rule_id);
@@ -71,8 +80,9 @@
      * (受注データのようにルールが決まっている場合用)
      *
-     * @param  integer $price 計算対象の金額
-     * @return integer 税金した金額
-     */
-    public function calcTaxFromRuleId($price, $tax_rule_id = 0)
+     * @param int $price 計算対象の金額
+     * @param int $tax_rule_id 税規約ID
+     * @return int 税金付与した金額
+     */
+    public static function calcTaxFromRuleId($price, $tax_rule_id = 0)
     {
         $arrTaxRule = SC_Helper_TaxRule_Ex::getTaxRuleData($tax_rule_id);
@@ -84,11 +94,12 @@
      * 税金額を計算する
      *
-     * @param integer $price 計算対象の金額
-     * @param integer $tax   税率(%単位)
-     *     XXX integer のみか不明
-     * @param  integer $tax_rule 端数処理
-     * @return integer 税金額
-     */
-    public function calcTax ($price, $tax, $calc_rule, $tax_adjust = 0)
+     * @param int $price 計算対象の金額
+     * @param int $tax 税率(%単位)
+     *     XXX int のみか不明
+     * @param int $calc_rule 端数処理
+     * @param int $tax_adjust 調整額
+     * @return int 税金額
+     */
+    public static function calcTax ($price, $tax, $calc_rule, $tax_adjust = 0)
     {
         $real_tax = $tax / 100;
@@ -119,8 +130,11 @@
      * 現在有効な税率設定情報を返す
      *
-     * @param  integer $price 計算対象の金額
-     * @return array   税設定情報
-     */
-    public function getTaxRule($product_id = 0, $product_class_id = 0, $pref_id = 0, $country_id = 0)
+     * @param int $product_id 商品ID
+     * @param int $product_class_id 商品規格ID
+     * @param int $pref_id 都道府県ID
+     * @param int $country_id 国ID
+     * @return array 税設定情報
+     */
+    public static function getTaxRule($product_id = 0, $product_class_id = 0, $pref_id = 0, $country_id = 0)
     {
         // 複数回呼出があるのでキャッシュ化
@@ -229,13 +243,13 @@
      * 税率設定情報を登録する（商品管理用）
      *
-     * @param  decimal $tax_rate         消費税率
-     * @param  integer $product_id       商品ID
-     * @param  integer $product_class_id 商品規格ID
-     * @param  decimal $tax_adjust       消費税加算額
-     * @param  integer $pref_id          県ID
-     * @param  integer $country_id       国ID
+     * @param float $tax_rate 消費税率
+     * @param int $product_id 商品ID
+     * @param int $product_class_id 商品規格ID
+     * @param float|int $tax_adjust 消費税加算額
+     * @param int $pref_id 県ID
+     * @param int $country_id 国ID
      * @return void
      */
-    public function setTaxRuleForProduct($tax_rate, $product_id = 0, $product_class_id = 0, $tax_adjust=0, $pref_id = 0, $country_id = 0)
+    public static function setTaxRuleForProduct($tax_rate, $product_id = 0, $product_class_id = 0, $tax_adjust=0, $pref_id = 0, $country_id = 0)
     {
         // 基本設定を取得
@@ -256,6 +270,14 @@
      * 税率設定情報を登録する（仮）リファクタする（memo：規格設定後に商品編集を行うと消費税が0になるのを対応が必要）
      *
-     * @param
-     * @return
+     * @param int $calc_rule 端数処理
+     * @param int $tax_rate 税率
+     * @param int|string $apply_date 適用日時
+     * @param null $tax_rule_id 税規約ID
+     * @param int $tax_adjust 調整額
+     * @param int $product_id 商品ID
+     * @param int $product_class_id 商品規格ID
+     * @param int $pref_id 都道府県ID
+     * @param int $country_id 国ID
+     * @return void
      */
     public function setTaxRule($calc_rule, $tax_rate, $apply_date, $tax_rule_id=NULL, $tax_adjust=0, $product_id = 0, $product_class_id = 0, $pref_id = 0, $country_id = 0)
@@ -297,4 +319,8 @@
     }
 
+    /**
+     * @param bool $has_deleted
+     * @return array|null
+     */
     public function getTaxRuleList($has_deleted = false)
     {
@@ -313,4 +339,9 @@
     }
 
+    /**
+     * @param int $tax_rule_id
+     * @param bool $has_deleted
+     * @return array
+     */
     public function getTaxRuleData($tax_rule_id, $has_deleted = false)
     {
@@ -324,4 +355,9 @@
     }
 
+    /**
+     * @param int|string $apply_date
+     * @param bool $has_deleted
+     * @return mixed
+     */
     public function getTaxRuleByTime($apply_date, $has_deleted = false)
     {
@@ -339,5 +375,5 @@
      * 税規約の削除.
      *
-     * @param  integer $tax_rule_id 税規約ID
+     * @param  int $tax_rule_id 税規約ID
      * @return void
      */