Index: /branches/version-2_13-dev/html/user_data/packages/sphone/css/common.css
===================================================================
--- /branches/version-2_13-dev/html/user_data/packages/sphone/css/common.css	(revision 22931)
+++ /branches/version-2_13-dev/html/user_data/packages/sphone/css/common.css	(revision 23419)
@@ -676,2 +676,28 @@
     width: 100% !important;
 }
+/*-------------------------------------------------
+ローディング画像
+----------------------------------------------- */
+div.loading-overlay {
+    display: block;
+    opacity: .3;
+    padding: 0;
+    width: 32px;
+    height: 32px;
+    margin-left: -16px;
+    margin-top: -16px;
+    z-index: 9999999;
+    position: fixed;
+    top: 50%;
+    left: 50%;
+    border: 0;
+}
+div.loading-overlay span.loading-image {
+    display: block;
+    background: url(../img/common/ajax-loader.gif) 0 0 no-repeat;
+    background-size: 32px 32px;
+    margin: 0;
+    padding: 0;
+    width: 32px;
+    height: 32px;
+}
Index: /branches/version-2_13-dev/html/user_data/packages/sphone/js/eccube.sphone.js
===================================================================
--- /branches/version-2_13-dev/html/user_data/packages/sphone/js/eccube.sphone.js	(revision 23383)
+++ /branches/version-2_13-dev/html/user_data/packages/sphone/js/eccube.sphone.js	(revision 23419)
@@ -59,5 +59,5 @@
      ------------------------------------------*/
     eccube.addFavoriteSphone = function(favoriteProductId) {
-        $.mobile.showPageLoadingMsg();
+        eccube.showLoading();
         //送信データを準備
         var postData = {};
@@ -77,5 +77,5 @@
             error: function(XMLHttpRequest, textStatus){
                 window.alert(textStatus);
-                $.mobile.hidePageLoadingMsg();
+                eccube.hideLoading();
             },
             success: function(result){
@@ -86,7 +86,22 @@
                     window.alert("お気に入りの登録に失敗しました");
                 }
-                $.mobile.hidePageLoadingMsg();
+                eccube.hideLoading();
             }
         });
+    };
+
+    /**
+     * ローディング画像を表示する
+     */
+    eccube.showLoading = function() {
+        var over = '<div class="loading-overlay"><span class="loading-image"></span></div>';
+        $(over).appendTo('body');
+    };
+
+    /**
+     * ローディング画像を削除する
+     */
+    eccube.hideLoading = function() {
+        $('.loading-overlay').remove();
     };
 
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/favorite.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/favorite.tpl	(revision 23230)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/favorite.tpl	(revision 23419)
@@ -102,5 +102,5 @@
 
     function getProducts(limit) {
-        $.mobile.showPageLoadingMsg();
+        eccube.showLoading();
         var i = limit;
         //送信データを準備
@@ -121,5 +121,5 @@
             error: function(XMLHttpRequest, textStatus, errorThrown){
                 alert(textStatus);
-                $.mobile.hidePageLoadingMsg();
+                eccube.hideLoading();
             },
             success: function(result){
@@ -168,5 +168,5 @@
                     $("#btn_more_product").hide();
                 }
-                $.mobile.hidePageLoadingMsg();
+                eccube.hideLoading();
             }
         });
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/history.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/history.tpl	(revision 23233)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/history.tpl	(revision 23419)
@@ -180,5 +180,5 @@
 <script>
     function getMailDetail(send_id) {
-        $.mobile.showPageLoadingMsg();
+        eccube.showLoading();
         $.ajax({
             type: "GET",
@@ -189,5 +189,5 @@
             error: function(XMLHttpRequest, textStatus, errorThrown){
                 alert(textStatus);
-                $.mobile.hidePageLoadingMsg();
+                eccube.hideLoading();
             },
             success: function(result){
@@ -202,5 +202,5 @@
                 setTimeout( function() {
                                 loadingState = 0;
-                                $.mobile.hidePageLoadingMsg();
+                                eccube.hideLoading();
                 }, 1000);
             }
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/delivery.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/delivery.tpl	(revision 23101)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/delivery.tpl	(revision 23419)
@@ -90,5 +90,5 @@
 
     function getDelivery(limit) {
-        $.mobile.showPageLoadingMsg();
+        eccube.showLoading();
         var i = limit;
         //送信データを準備
@@ -109,5 +109,5 @@
             error: function(XMLHttpRequest, textStatus, errorThrown){
                 alert(textStatus);
-                $.mobile.hidePageLoadingMsg();
+                eccube.hideLoading();
             },
             success: function(result){
@@ -147,5 +147,5 @@
                     $("#btn_more_delivery").hide();
                 }
-                $.mobile.hidePageLoadingMsg();
+                eccube.hideLoading();
             }
         });
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/index.tpl	(revision 23304)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/index.tpl	(revision 23419)
@@ -98,5 +98,5 @@
 
     function getHistory(limit) {
-        $.mobile.showPageLoadingMsg();
+        eccube.showLoading();
         var i = limit;
         //送信データを準備
@@ -117,5 +117,5 @@
             error: function(XMLHttpRequest, textStatus, errorThrown){
                 alert(textStatus);
-                $.mobile.hidePageLoadingMsg();
+                eccube.hideLoading();
             },
             success: function(result){
@@ -158,5 +158,5 @@
                     $("#btn_more_history").hide();
                 }
-                $.mobile.hidePageLoadingMsg();
+                eccube.hideLoading();
             }
         });
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/news.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/news.tpl	(revision 23230)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/news.tpl	(revision 23419)
@@ -47,5 +47,5 @@
 
     function getNews(limit) {
-        $.mobile.showPageLoadingMsg();
+        eccube.showLoading();
         var i = limit;
 
@@ -58,5 +58,5 @@
             error: function(XMLHttpRequest, textStatus, errorThrown){
                 alert(textStatus);
-                $.mobile.hidePageLoadingMsg();
+                eccube.hideLoading();
             },
             success: function(result){
@@ -93,5 +93,5 @@
                     newsPageNo++;
                 }
-                $.mobile.hidePageLoadingMsg();
+                eccube.hideLoading();
             }
         });
@@ -102,5 +102,5 @@
         if (loadingState == 0) {
             loadingState = 1;
-            $.mobile.showPageLoadingMsg();
+            eccube.showLoading();
             $.ajax({
                 url: "<!--{$smarty.const.ROOT_URLPATH}-->frontparts/bloc/news.php",
@@ -112,5 +112,5 @@
                 error: function(XMLHttpRequest, textStatus, errorThrown){
                     alert(textStatus);
-                    $.mobile.hidePageLoadingMsg();
+                    eccube.hideLoading();
                     loadingState = 0;
                 },
@@ -118,5 +118,5 @@
                     if (result.error) {
                         alert(result.error);
-                        $.mobile.hidePageLoadingMsg();
+                        eccube.hideLoading();
                         loadingState = 0;
                     }
@@ -145,10 +145,10 @@
                         //ダイアログが開き終わるまで待機
                         setTimeout( function() {
-                            $.mobile.hidePageLoadingMsg();
+                            eccube.hideLoading();
                             loadingState = 0;
                         }, 1000);
                     }
                     else {
-                        $.mobile.hidePageLoadingMsg();
+                        eccube.hideLoading();
                         loadingState = 0;
                         alert('取得できませんでした。');
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/products/list.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/products/list.tpl	(revision 23122)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/products/list.tpl	(revision 23419)
@@ -132,5 +132,5 @@
 
     function getProducts(limit) {
-        $.mobile.showPageLoadingMsg();
+        eccube.showLoading();
         var i = limit;
         //送信データを準備
@@ -150,5 +150,5 @@
             error: function(XMLHttpRequest, textStatus, errorThrown){
                 alert(textStatus);
-                $.mobile.hidePageLoadingMsg();
+                eccube.hideLoading();
             },
             success: function(result){
@@ -212,5 +212,5 @@
                     $("#btn_more_product").hide();
                 }
-                $.mobile.hidePageLoadingMsg();
+                eccube.hideLoading();
             }
         });