Index: /branches/version-2_13-dev/html/user_data/packages/sphone/css/common.css
===================================================================
--- /branches/version-2_13-dev/html/user_data/packages/sphone/css/common.css	(revision 23419)
+++ /branches/version-2_13-dev/html/user_data/packages/sphone/css/common.css	(revision 23423)
@@ -702,2 +702,12 @@
     height: 32px;
 }
+/*-------------------------------------------------
+ダイアログ
+----------------------------------------------- */
+.dialog-modal {
+    display: none;
+    background: #FFFFFF;
+}
+.dialog-inner {
+    padding: 1.5em;
+}
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/history.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/history.tpl	(revision 23419)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/history.tpl	(revision 23423)
@@ -192,18 +192,32 @@
             },
             success: function(result){
-                var maxCnt = 0;
-                $("#windowcolumn h2").text('メール詳細');
-                $("#windowcolumn a[data-rel=back]").text('購入履歴詳細にもどる');
-                $($("#windowcolumn dl.view_detail dt").get(maxCnt)).text(result[0].subject);
-                $($("#windowcolumn dl.view_detail dd").get(maxCnt)).html(result[0].mail_body.replace(/\n/g,"<br />"));
-                $("#windowcolumn dl.view_detail dd").css('font-family', 'monospace');
-                $.mobile.changePage('#windowcolumn', {transition: "slideup"});
-                //ダイアログが開き終わるまで待機
-                setTimeout( function() {
-                                loadingState = 0;
-                                eccube.hideLoading();
-                }, 1000);
+                var dialog = $("#mail-dialog");
+
+                //件名をセット
+                $("#mail-dialog-title").remove();
+                dialog.find(".dialog-content").append(
+                    $('<h3 id="mail-dialog-title">').text(result[0].subject)
+                );
+
+                //本文をセット
+                $("#mail-dialog-body").remove();
+                dialog.find(".dialog-content").append(
+                    $('<div id="mail-dialog-body">')
+                        .html(result[0].mail_body.replace(/\n/g,"<br />"))
+                        .css('font-family', 'monospace')
+                );
+
+                //ダイアログをモーダルウィンドウで表示
+                $.colorbox({inline: true, href: dialog, onOpen: function(){
+                    dialog.show().css('width', String($('body').width() * 0.9) + 'px');
+                }, onComplete: function(){
+                    eccube.hideLoading();
+                }, onClosed: function(){
+                    dialog.hide();
+                }});
             }
         });
     }
 </script>
+
+<!--{include file="`$smarty.const.SMARTPHONE_TEMPLATE_REALDIR`frontparts/dialog_modal.tpl" dialog_id="mail-dialog" dialog_title="メール詳細"}-->
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/news.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/news.tpl	(revision 23419)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/news.tpl	(revision 23423)
@@ -122,30 +122,41 @@
                     }
                     else if (result != null) {
-                        var news = result;
-                        var maxCnt = 0;
+                        var dialog = $("#news-dialog");
 
                         //件名をセット
-                        $($("#windowcolumn dl.view_detail dt a").get(maxCnt)).text(news.news_title);
-                        if (news.news_url != null) {
-                            $($("#windowcolumn dl.view_detail dt a").get(maxCnt)).attr("href", news.news_url);
+                        $("#news-dialog-title").remove();
+                        if (result.news_url != null) {
+                            dialog.find(".dialog-content").append(
+                                $('<h3 id="news-dialog-title">').append(
+                                    $('<a>')
+                                        .attr('href', result.news_url)
+                                        .attr('rel', "external")
+                                        .attr('target', "_blank")
+                                        .text(result.news_title)
+                                )
+                            );
                         } else {
-                            $($("#windowcolumn dl.view_detail dt a").get(maxCnt)).attr("href", "#");
+                            dialog.find(".dialog-content").append(
+                                $('<h3 id="news-dialog-title">').text(result.news_title)
+                            );
                         }
 
-                        //年月をセット
-                        //var newsDateDispArray = news.cast_news_date.split("-"); //ハイフンで年月日を分解
-                        //var newsDateDisp = newsDateDispArray[0] + "年 " + newsDateDispArray[1] + "月 " + newsDateDispArray[2] + "日";
-                        //$($("#windowcolumn dl.view_detail dt").get(maxCnt)).text(newsDateDisp);
+                        //本文をセット
+                        $("#news-dialog-body").remove();
+                        if (result.news_comment != null) {
+                            dialog.find(".dialog-content").append(
+                                $('<div id="news-dialog-body">').html(result.news_comment.replace(/\n/g,"<br />"))
+                            );
+                        }
 
-                        //コメントをセット(iphone4の場合、innerHTMLの再描画が行われない為、タイマーで無理やり再描画させる)
-                        setTimeout( function() {
-                            news.news_comment == null ? $("#newsComment").html("") : $("#newsComment").html(news.news_comment.replace(/\n/g,"<br />"));
-                        }, 10);
-                        $.mobile.changePage('#windowcolumn', {transition: "slideup"});
-                        //ダイアログが開き終わるまで待機
-                        setTimeout( function() {
+                        //ダイアログをモーダルウィンドウで表示
+                        $.colorbox({inline: true, href: dialog, onOpen: function(){
+                            dialog.show().css('width', String($('body').width() * 0.9) + 'px');
+                        }, onComplete: function(){
                             eccube.hideLoading();
                             loadingState = 0;
-                        }, 1000);
+                        }, onClosed: function(){
+                            dialog.hide();
+                        }});
                     }
                     else {
@@ -159,2 +170,4 @@
     }
 </script>
+
+<!--{include file="`$smarty.const.SMARTPHONE_TEMPLATE_REALDIR`frontparts/dialog_modal.tpl" dialog_id="news-dialog" dialog_title="新着情報"}-->
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/dialog_modal.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/dialog_modal.tpl	(revision 23423)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/dialog_modal.tpl	(revision 23423)
@@ -0,0 +1,6 @@
+<div id="<!--{$dialog_id}-->" class="dialog-modal" style="display: none;background: #FFFFFF;">
+    <div class="dialog-inner" style="padding: 1.5em;">
+        <h2 class="title dialog-title"><!--{$dialog_title}--></h2>
+        <div class="dialog-content"></div>
+    </div>
+</div>
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/site_main.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/site_main.tpl	(revision 22363)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/site_main.tpl	(revision 23423)
@@ -147,20 +147,3 @@
 
     </div>
-
-    <!-- ▼明細情報 -->
-    <div id="windowcolumn" data-role="dialog">
-        <div data-role="header" data-backbtn="true" data-theme="f">
-            <h2>新着情報</h2>
-        </div>
-
-        <div data-role="content" data-theme="d">
-            <dl class="view_detail">
-                <dt><a href="javascript:;" rel="external" target="_blank"></a></dt>
-                <dd id="newsComment"></dd>
-            </dl>
-            <p><a href="<!--{$smarty.const.HTTP_URL}-->" class="btn_more" data-rel="back">新着一覧にもどる</a></p>
-        </div>
-    </div>
-    <!-- ▲明細情報 -->
-
 </body>