Index: /branches/version-2_13-dev/html/install/sql/comment_set_pgsql_2.13.sql
===================================================================
--- /branches/version-2_13-dev/html/install/sql/comment_set_pgsql_2.13.sql	(revision 23359)
+++ /branches/version-2_13-dev/html/install/sql/comment_set_pgsql_2.13.sql	(revision 23475)
@@ -64,9 +64,4 @@
 COMMENT ON COLUMN dtb_other_deliv.fax02 IS 'FAX（市内局番）';
 COMMENT ON COLUMN dtb_other_deliv.fax03 IS 'FAX（局番）';
-
-COMMENT ON TABLE mtb_ownersstore_ips IS 'オーナーズストアIPアドレス';
-COMMENT ON COLUMN mtb_ownersstore_ips.id IS 'ID';
-COMMENT ON COLUMN mtb_ownersstore_ips.name IS '名称';
-COMMENT ON COLUMN mtb_ownersstore_ips.rank IS '表示順';
 
 COMMENT ON TABLE mtb_ownersstore_err IS 'オーナーズストアエラー種別';
Index: /branches/version-2_13-dev/html/install/sql/drop_table.sql
===================================================================
--- /branches/version-2_13-dev/html/install/sql/drop_table.sql	(revision 22736)
+++ /branches/version-2_13-dev/html/install/sql/drop_table.sql	(revision 23475)
@@ -77,5 +77,4 @@
 DROP TABLE mtb_allowed_tag;
 DROP TABLE mtb_ownersstore_err;
-DROP TABLE mtb_ownersstore_ips;
 DROP TABLE dtb_maker;
 DROP TABLE dtb_maker_count;
Index: /branches/version-2_13-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_13-dev/html/install/sql/insert_data.sql	(revision 23330)
+++ /branches/version-2_13-dev/html/install/sql/insert_data.sql	(revision 23475)
@@ -12,4 +12,6 @@
 INSERT INTO dtb_bloc (device_type_id, bloc_id, bloc_name, tpl_path, filename, create_date, update_date, php_path, deletable_flg) VALUES (1, 3, 'おすすめ商品', 'recommend.tpl', 'recommend', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'frontparts/bloc/recommend.php', 0);
 INSERT INTO dtb_bloc (device_type_id, bloc_id, bloc_name, tpl_path, filename, create_date, update_date, php_path, deletable_flg) VALUES (1, 4, 'カテゴリ', 'category.tpl', 'category', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'frontparts/bloc/category.php', 0);
+INSERT INTO dtb_bloc (device_type_id, bloc_id, bloc_name, tpl_path, filename, create_date, update_date, php_path, deletable_flg) VALUES (1, 5, 'ログイン', 'login.tpl', 'login', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'frontparts/bloc/login.php', 0);
+INSERT INTO dtb_bloc (device_type_id, bloc_id, bloc_name, tpl_path, filename, create_date, update_date, php_path, deletable_flg) VALUES (1, 6, '【ヘッダー】ログイン', 'login_header.tpl', 'login_header', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'frontparts/bloc/login_header.php', 0);
 INSERT INTO dtb_bloc (device_type_id, bloc_id, bloc_name, tpl_path, filename, create_date, update_date, php_path, deletable_flg) VALUES (2, 1, '新着情報', 'news.tpl', 'news', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'frontparts/bloc/news.php', 0);
 INSERT INTO dtb_bloc (device_type_id, bloc_id, bloc_name, tpl_path, filename, create_date, update_date, php_path, deletable_flg) VALUES (2, 2, 'ログイン', 'login.tpl', 'login', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'frontparts/bloc/login.php', 0);
@@ -877,6 +879,4 @@
 INSERT INTO mtb_ownersstore_err (id, name, rank) VALUES ('2009', 'ファイルの書き込みに失敗しました。<br />・書き込み権限が正しく設定されていません。<br />・data/downloads/tmpディレクトリに書き込み権限があるかどうか確認してください', 16);
 INSERT INTO mtb_ownersstore_err (id, name, rank) VALUES ('2010', 'ファイルの書き込みに失敗しました。<br />・「ログ管理」で詳細を確認してください。', 17);
-
-INSERT INTO mtb_ownersstore_ips (id, name, rank) VALUES ('0', '210.188.195.143', 0);
 
 INSERT INTO mtb_page_max (id, name, rank) VALUES (10, '10', 0);
Index: /branches/version-2_13-dev/html/install/sql/create_table_pgsql.sql
===================================================================
--- /branches/version-2_13-dev/html/install/sql/create_table_pgsql.sql	(revision 23404)
+++ /branches/version-2_13-dev/html/install/sql/create_table_pgsql.sql	(revision 23475)
@@ -1087,11 +1087,4 @@
 );
 
-CREATE TABLE mtb_ownersstore_ips (
-    id smallint,
-    name text,
-    rank smallint NOT NULL DEFAULT 0,
-    PRIMARY KEY (id)
-);
-
 CREATE TABLE mtb_constants (
     id text,
Index: /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_SiteCheck.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_SiteCheck.php	(revision 23124)
+++ /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_SiteCheck.php	(revision 23475)
@@ -54,12 +54,4 @@
         $objLog->start($mode);
 
-        if ($this->isValidIP() !== true) {
-            $objJson->setError(OSTORE_E_C_INVALID_ACCESS);
-            $objJson->display();
-            $objLog->error(OSTORE_E_C_INVALID_ACCESS);
-
-            return;
-        }
-
         $dbFactory = SC_DB_DBFactory_Ex::getInstance();
         $arrSystemInfo = array(
Index: /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_Download.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_Download.php	(revision 23141)
+++ /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_Download.php	(revision 23475)
@@ -354,6 +354,5 @@
 
             $objLog->log('* ip check start');
-            if ($this->isValidIP()
-            && $public_key_sha1 === sha1($public_key . $sha1_key)) {
+            if ($public_key_sha1 === sha1($public_key . $sha1_key)) {
                 $objLog->log('* auto update login ok');
 
Index: /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_Base.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_Base.php	(revision 23141)
+++ /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_Base.php	(revision 23475)
@@ -22,22 +22,4 @@
         $this->skip_load_page_layout = true;
         parent::init();
-    }
-
-    public function isValidIP()
-    {
-        $objLog  = new LC_Upgrade_Helper_Log;
-        $masterData = new SC_DB_MasterData_Ex();
-        $arrOstoreIPs = $masterData->getMasterData('mtb_ownersstore_ips');
-
-        if (isset($_SERVER['REMOTE_ADDR'])
-            && in_array($_SERVER['REMOTE_ADDR'], $arrOstoreIPs))
-        {
-            $objLog->log('* ip ok ' . $_SERVER['REMOTE_ADDR']);
-
-            return true;
-        }
-        $objLog->log('* refused ip ' . $_SERVER['REMOTE_ADDR']);
-
-        return false;
     }
 