Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_DB.php	(revision 23459)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_DB.php	(revision 23477)
@@ -1461,8 +1461,10 @@
      * SC_Utils_Ex::sfCalcIncTax とどちらか統一したほうが良い
      *
-     * @param  integer $price 計算対象の金額
-     * @return integer 税金付与した金額
-     */
-    public function sfCalcIncTax($price, $tax = null, $tax_rule = null)
+     * @param  int $price 計算対象の金額
+     * @param  int $tax
+     * @param  int $tax_rule
+     * @return int 税金付与した金額
+     */
+    public static function sfCalcIncTax($price, $tax = null, $tax_rule = null)
     {
         // 店舗基本情報を取得
Index: /branches/version-2_13-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 23394)
+++ /branches/version-2_13-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 23477)
@@ -977,5 +977,5 @@
      *
      * @param  SC_FormParam                   $objFormParam SC_FormParam インスタンス
-     * @return アンカーキーの文字列
+     * @return string アンカーキーの文字列
      */
     public function getAnchorKey(&$objFormParam)
@@ -1034,5 +1034,5 @@
      *
      * @param  SC_FormParam $objFormParam         SC_FormParam インスタンス
-     * @param  integer      $add_product_class_id 変更商品規格ID
+     * @param  integer      $edit_product_class_id 変更商品規格ID
      * @param  integer      $change_no            変更対象
      * @return void
@@ -1115,8 +1115,8 @@
      * 変更対象のデータを上書きする
      *
-     * @param  array   $arrShipmentProducts 変更対象配列
-     * @param  array   $arrProductInfo      上書きデータ
-     * @param  integer $shipping_id         配送先ID
-     * @param  array   $no                  変更対象
+     * @param  array    $arrShipmentProducts 変更対象配列
+     * @param  array    $arrProductInfo      上書きデータ
+     * @param  int      $shipping_id         配送先ID
+     * @param  int      $no                  変更対象
      * @return void
      */
@@ -1144,4 +1144,5 @@
         // 配送先が存在する時のみ、商品個数の再設定を行います
         if(!SC_Utils_Ex::isBlank($arrShipmentsItems)) {
+            $arrUpdateQuantity = array();
             foreach ($arrShipmentsItems as $arritems) {
                 foreach ($arritems['shipment_product_class_id'] as $relation_index => $shipment_product_class_id) {
@@ -1151,9 +1152,9 @@
 
             $arrProductsClass = $objFormParam->getValue('product_class_id');
-            $arrProductsQuantity = $objFormParam->getValue('quantity');
+            $arrQuantity = array();
             foreach ($arrProductsClass as $relation_key => $product_class_id) {
-                $arrQuantity['quantity'][$relation_key] = $arrUpdateQuantity[$product_class_id];
-            }
-            $objFormParam->setParam($arrQuantity);
+                $arrQuantity[$relation_key] = isset($arrUpdateQuantity[$product_class_id]) ? $arrUpdateQuantity[$product_class_id] : 0;
+            }
+            $objFormParam->setParam(array('quantity' => $arrQuantity));
         }
     }
@@ -1175,4 +1176,5 @@
                 foreach ($arrDeleteKeys as $delete_key) {
                     $arrProducts = $objFormParam->getValue($delete_key);
+                    $arrUpdateParams = array();
                     foreach ($arrProducts as $index => $product_info) {
                         if ($index != $relation_index) {
@@ -1192,33 +1194,34 @@
      * @param  SC_FormParam $objFormParam          SC_FormParam インスタンス
      * @param  array        $arrShipmentDeleteKeys 削除項目
-     * @param  integer      $delete_shipping_id　 削除配送ID
-     * @param  array        $delete_no             削除対象
-     * @return void
-     */
-    public function deleteShipment(&$objFormParam, $arrShipmentDeletKeys, $delete_shipping_id, $delete_no)
-    {
-            foreach ($arrShipmentDeletKeys as $delete_key) {
-                $arrShipments = $objFormParam->getValue($delete_key);
-                foreach ($arrShipments as $shipp_id => $arrKeyData) {
-                    if (empty($arrKeyData)) continue;
-                    foreach ($arrKeyData as $relation_index => $shipment_info) {
-                        if ($relation_index != $delete_no || $shipp_id != $delete_shipping_id) {
-                            $arrUpdateParams[$delete_key][$shipp_id][] = $shipment_info;
-                        }
+     * @param  int          $delete_shipping_id　  削除配送ID
+     * @param  int          $delete_no             削除対象
+     * @return array
+     */
+    public function deleteShipment(&$objFormParam, $arrShipmentDeleteKeys, $delete_shipping_id, $delete_no)
+    {
+        $arrUpdateParams = array();
+        foreach ($arrShipmentDeleteKeys as $delete_key) {
+            $arrShipments = $objFormParam->getValue($delete_key);
+            foreach ($arrShipments as $shipp_id => $arrKeyData) {
+                if (empty($arrKeyData)) continue;
+                foreach ($arrKeyData as $relation_index => $shipment_info) {
+                    if ($relation_index != $delete_no || $shipp_id != $delete_shipping_id) {
+                        $arrUpdateParams[$delete_key][$shipp_id][] = $shipment_info;
                     }
                 }
             }
-            //$objFormParam->setParam($arrUpdateParams);
-            return $arrUpdateParams;
-        }
+        }
+        //$objFormParam->setParam($arrUpdateParams);
+        return $arrUpdateParams;
+    }
 
     /**
      * 受注商品一覧側に商品を追加
      *
-     * @param  SC_FormParam $objFormParam                    SC_FormParam インスタンス
-     * @param  array        $arrProductClassIds　           対象配列の商品規格ID
-     * @param  integer      $indert_product_class_id　追?? 商品規格ID
-     * @param  array        $arrAddProductInfo               追加データ
-     * @return array        $arrAddProducts           更新データ
+     * @param SC_FormParam  $objFormParam               SC_FormParam インスタンス
+     * @param array         $arrProductClassIds 　      対象配列の商品規格ID
+     * @param int           $insert_product_class_id    追加商品規格ID
+     * @param array         $arrAddProductInfo          追加データ
+     * @return array|null   $arrAddProducts             更新データ
      */
     public function checkInsertOrderProducts(&$objFormParam, $arrProductClassIds, $insert_product_class_id, $arrAddProductInfo)
Index: /branches/version-2_13-dev/data/class/util/GC_Utils.php
===================================================================
--- /branches/version-2_13-dev/data/class/util/GC_Utils.php	(revision 23415)
+++ /branches/version-2_13-dev/data/class/util/GC_Utils.php	(revision 23477)
@@ -254,5 +254,5 @@
      * [注釈] -
      *----------------------------------------------------------------------*/
-    public function gfMakePassword($pwLength)
+    public static function gfMakePassword($pwLength)
     {
         // 乱数表のシードを決定
Index: /branches/version-2_13-dev/data/class/util/SC_Utils.php
===================================================================
--- /branches/version-2_13-dev/data/class/util/SC_Utils.php	(revision 23463)
+++ /branches/version-2_13-dev/data/class/util/SC_Utils.php	(revision 23477)
@@ -693,5 +693,5 @@
      * @return integer 税金額
      */
-    public function sfTax($price, $tax, $tax_rule)
+    public static function sfTax($price, $tax, $tax_rule)
     {
         $real_tax = $tax / 100;
@@ -713,5 +713,5 @@
      * @return integer 税金付与した金額
      */
-    public function sfCalcIncTax($price, $tax, $tax_rule)
+    public static function sfCalcIncTax($price, $tax, $tax_rule)
     {
         return $price + SC_Utils_Ex::sfTax($price, $tax, $tax_rule);
@@ -723,5 +723,5 @@
         $adjust = pow(10 ,$pow-1);
 
-        // 整数且つ0出なければ桁数指定を行う
+        // 整数且つ0でなければ桁数指定を行う
         if (SC_Utils_Ex::sfIsInt($adjust) and $pow > 1) {
             $ret = (round($value * $adjust)/$adjust);
@@ -741,5 +741,5 @@
      * @return int
      */
-    public function sfPrePoint($price, $point_rate, $rule = POINT_RULE)
+    public static function sfPrePoint($price, $point_rate, $rule = POINT_RULE)
     {
         $real_point = $point_rate / 100;
@@ -813,6 +813,12 @@
     }
 
-    /* 配列をキー名ごとの配列に変更する */
-    public function sfSwapArray($array, $isColumnName = true)
+    /**
+     * 配列をキー名ごとの配列に変更する
+     *
+     * @param array $array
+     * @param bool $isColumnName
+     * @return array
+     */
+    public static function sfSwapArray($array, $isColumnName = true)
     {
         $arrRet = array();
@@ -837,6 +843,6 @@
      * $requires が指定された場合, $requires に含まれるキーの値のみを返す.
      *
-     * @param array 連想配列
-     * @param array 必須キーの配列
+     * @param array $hash 連想配列
+     * @param array $requires 必須キーの配列
      * @return array 連想配列の値のみの配列
      */
@@ -899,5 +905,10 @@
     }
 
-    // 二回以上繰り返されているスラッシュ[/]を一つに変換する。
+    /**
+     * 二回以上繰り返されているスラッシュ[/]を一つに変換する。
+     *
+     * @param string $istr
+     * @return string
+     */
     public function sfRmDupSlash($istr)
     {
@@ -910,4 +921,5 @@
         } else {
             $str = $istr;
+            $head = '';
         }
         $str = preg_replace('|[/]+|', '/', $str);