Index: /branches/version-2_13-dev/tests/class/SC_CheckError/SC_CheckError_EXIST_CHECKTest.php
===================================================================
--- /branches/version-2_13-dev/tests/class/SC_CheckError/SC_CheckError_EXIST_CHECKTest.php	(revision 22851)
+++ /branches/version-2_13-dev/tests/class/SC_CheckError/SC_CheckError_EXIST_CHECKTest.php	(revision 23530)
@@ -31,4 +31,5 @@
     {
         parent::setUp();
+        $this->target_func = 'EXIST_CHECK';
     }
 
@@ -40,31 +41,46 @@
     /////////////////////////////////////////
 
-    public function testEXIST_CHECK_formが空()
+    public function testEXIST_CHECK_formが空文字の場合_エラー()
     {
+        $disp_name = $this->target_func;
         $arrForm = array('form' => '');
         $objErr = new SC_CheckError_Ex($arrForm);
-        $objErr->doFunc(array('EXIST_CHECK', 'form') ,array('EXIST_CHECK'));
+        $objErr->doFunc(array($disp_name, 'form'), array($this->target_func));
 
-        $this->expected = '※ EXIST_CHECKが入力されていません。<br />';
+        $this->expected = "※ {$disp_name}が入力されていません。<br />";
         $this->actual = $objErr->arrErr['form'];
         $this->verify('');
     }
 
-    public function testEXIST_CHECK_formがNULL()
+    public function testEXIST_CHECK_formがnullの場合_エラー()
     {
-        $arrForm = array('form' => NULL);
+        $disp_name = $this->target_func;
+        $arrForm = array('form' => null);
         $objErr = new SC_CheckError_Ex($arrForm);
-        $objErr->doFunc(array('EXIST_CHECK', 'form') ,array('EXIST_CHECK'));
+        $objErr->doFunc(array($disp_name, 'form'), array($this->target_func));
 
-        $this->expected = '※ EXIST_CHECKが入力されていません。<br />';
+        $this->expected = "※ {$disp_name}が入力されていません。<br />";
         $this->actual = $objErr->arrErr['form'];
         $this->verify('');
     }
 
-    public function testEXIST_CHECK_formがint0()
+    public function testEXIST_CHECK_formがfalseの場合_エラー()
     {
+        $disp_name = $this->target_func;
+        $arrForm = array('form' => false);
+        $objErr = new SC_CheckError_Ex($arrForm);
+        $objErr->doFunc(array($disp_name, 'form'), array($this->target_func));
+
+        $this->expected = "※ {$disp_name}が入力されていません。<br />";
+        $this->actual = $objErr->arrErr['form'];
+        $this->verify('');
+    }
+
+    public function testEXIST_CHECK_formがint0の場合_エラーではない()
+    {
+        $disp_name = $this->target_func;
         $arrForm = array('form' => 0);
         $objErr = new SC_CheckError_Ex($arrForm);
-        $objErr->doFunc(array('EXIST_CHECK', 'form') ,array('EXIST_CHECK'));
+        $objErr->doFunc(array($disp_name, 'form'), array($this->target_func));
 
         $this->expected = '';
@@ -73,9 +89,10 @@
     }
 
-    public function testEXIST_CHECK_formがstring0()
+    public function testEXIST_CHECK_formがfloat0の場合_エラーではない()
     {
-        $arrForm = array('form' => '0');
+        $disp_name = $this->target_func;
+        $arrForm = array('form' => 0.0);
         $objErr = new SC_CheckError_Ex($arrForm);
-        $objErr->doFunc(array('EXIST_CHECK', 'form') ,array('EXIST_CHECK'));
+        $objErr->doFunc(array($disp_name, 'form'), array($this->target_func));
 
         $this->expected = '';
@@ -84,20 +101,10 @@
     }
 
-    public function testEXIST_CHECK_formが空の配列()
+    public function testEXIST_CHECK_formがstring0の場合_エラーではない()
     {
-        $arrForm = array('form' => array());
+        $disp_name = $this->target_func;
+        $arrForm = array('form' => '0');
         $objErr = new SC_CheckError_Ex($arrForm);
-        $objErr->doFunc(array('EXIST_CHECK', 'form') ,array('EXIST_CHECK'));
-
-        $this->expected = '※ EXIST_CHECKが選択されていません。<br />';
-        $this->actual = $objErr->arrErr['form'];
-        $this->verify('');
-    }
-
-    public function testEXIST_CHECK_formが空文字の配列()
-    {
-        $arrForm = array('form' => array(''));
-        $objErr = new SC_CheckError_Ex($arrForm);
-        $objErr->doFunc(array('EXIST_CHECK', 'form') ,array('EXIST_CHECK'));
+        $objErr->doFunc(array($disp_name, 'form'), array($this->target_func));
 
         $this->expected = '';
@@ -106,9 +113,10 @@
     }
 
-    public function testEXIST_CHECK_formが0しか含まない配列()
+    public function testEXIST_CHECK_formが普通の文字列の場合_エラーではない()
     {
-        $arrForm = array('form' => array(0));
+        $disp_name = $this->target_func;
+        $arrForm = array('form' => '普通のテスト文字列');
         $objErr = new SC_CheckError_Ex($arrForm);
-        $objErr->doFunc(array('EXIST_CHECK', 'form') ,array('EXIST_CHECK'));
+        $objErr->doFunc(array($disp_name, 'form'), array($this->target_func));
 
         $this->expected = '';
@@ -117,9 +125,22 @@
     }
 
-    public function testEXIST_CHECK_formが配列()
+    public function testEXIST_CHECK_formが空の配列の場合_エラー()
     {
-        $arrForm = array('form' => array(1,2,3));
+        $disp_name = $this->target_func;
+        $arrForm = array('form' => array());
         $objErr = new SC_CheckError_Ex($arrForm);
-        $objErr->doFunc(array('EXIST_CHECK', 'form') ,array('EXIST_CHECK'));
+        $objErr->doFunc(array($disp_name, 'form'), array($this->target_func));
+
+        $this->expected = "※ {$disp_name}が選択されていません。<br />";
+        $this->actual = $objErr->arrErr['form'];
+        $this->verify('');
+    }
+
+    public function testEXIST_CHECK_formが空文字の配列の場合_エラーではない()
+    {
+        $disp_name = $this->target_func;
+        $arrForm = array('form' => array(''));
+        $objErr = new SC_CheckError_Ex($arrForm);
+        $objErr->doFunc(array($disp_name, 'form'), array($this->target_func));
 
         $this->expected = '';
@@ -128,9 +149,34 @@
     }
 
-    public function testEXIST_CHECK_formが連想配列()
+    public function testEXIST_CHECK_formが0しか含まない配列の場合_エラーではない()
     {
+        $disp_name = $this->target_func;
+        $arrForm = array('form' => array(0));
+        $objErr = new SC_CheckError_Ex($arrForm);
+        $objErr->doFunc(array($disp_name, 'form'), array($this->target_func));
+
+        $this->expected = '';
+        $this->actual = $objErr->arrErr['form'];
+        $this->verify('');
+    }
+
+    public function testEXIST_CHECK_formが配列の場合_エラーではない()
+    {
+        $disp_name = $this->target_func;
+        $arrForm = array('form' => array(1, 2, 3));
+        $objErr = new SC_CheckError_Ex($arrForm);
+        $objErr->doFunc(array($disp_name, 'form'), array($this->target_func));
+
+        $this->expected = '';
+        $this->actual = $objErr->arrErr['form'];
+        $this->verify('');
+    }
+
+    public function testEXIST_CHECK_formが連想配列の場合_エラーではない()
+    {
+        $disp_name = $this->target_func;
         $arrForm = array('form' => array(0=> 'A', 1 => 'B', 2 => 'C'));
         $objErr = new SC_CheckError_Ex($arrForm);
-        $objErr->doFunc(array('EXIST_CHECK', 'form') ,array('EXIST_CHECK'));
+        $objErr->doFunc(array($disp_name, 'form'), array($this->target_func));
 
         $this->expected = '';