Index: /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getProductsClassByProductIdsTest.php
===================================================================
--- /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getProductsClassByProductIdsTest.php	(revision 23540)
+++ /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getProductsClassByProductIdsTest.php	(revision 23543)
@@ -59,5 +59,5 @@
                 ,'down_realfilename' => null
                 ,'classcategory_name1' => 'cat1001'
-                ,'rank1' => null
+                ,'rank1' => '1'
                 ,'class_name1' => '味'
                 ,'class_id1' => '1'
@@ -65,5 +65,5 @@
                 ,'classcategory_id2' => '1002'
                 ,'classcategory_name2' => 'cat1002'
-                ,'rank2' => null
+                ,'rank2' => '2'
                 ,'class_name2' => '味'
                 ,'class_id2' => '1'
@@ -100,5 +100,5 @@
                 ,'down_realfilename' => null
                 ,'classcategory_name1' => 'cat1001'
-                ,'rank1' => null
+                ,'rank1' => '1'
                 ,'class_name1' => '味'
                 ,'class_id1' => '1'
@@ -106,5 +106,5 @@
                 ,'classcategory_id2' => '1002'
                 ,'classcategory_name2' => 'cat1002'
-                ,'rank2' => null
+                ,'rank2' => '2'
                 ,'class_name2' => '味'
                 ,'class_id2' => '1'
Index: /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getProductsClassTest.php
===================================================================
--- /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getProductsClassTest.php	(revision 23526)
+++ /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getProductsClassTest.php	(revision 23543)
@@ -43,5 +43,5 @@
                 ,'down_realfilename' => null
                 ,'classcategory_name1' => 'cat1001'
-                ,'rank1' => null
+                ,'rank1' => '1'
                 ,'class_name1' => '味'
                 ,'class_id1' => '1'
@@ -49,5 +49,5 @@
                 ,'classcategory_id2' => '1002'
                 ,'classcategory_name2' => 'cat1002'
-                ,'rank2' => null
+                ,'rank2' => '2'
                 ,'class_name2' => '味'
                 ,'class_id2' => '1'
Index: /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_TestBase.php
===================================================================
--- /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_TestBase.php	(revision 23540)
+++ /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_TestBase.php	(revision 23543)
@@ -82,5 +82,6 @@
                 'class_id' => '1',
                 'creator_id' => '1',
-                'name' => 'cat1001'
+                'name' => 'cat1001',
+                'rank' => 1,
                   ),
             array(
@@ -89,5 +90,6 @@
                 'class_id' => '1',
                 'creator_id' => '1',
-                'name' => 'cat1002'
+                'name' => 'cat1002',
+                'rank' => 2,
                   )
                                 );
Index: /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getProductsClassByQueryTest.php
===================================================================
--- /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getProductsClassByQueryTest.php	(revision 22567)
+++ /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getProductsClassByQueryTest.php	(revision 23543)
@@ -44,5 +44,5 @@
                 ,'down_realfilename' => null
                 ,'classcategory_name1' => 'cat1001'
-                ,'rank1' => null
+                ,'rank1' => '1'
                 ,'class_name1' => '味'
                 ,'class_id1' => '1'
@@ -50,5 +50,5 @@
                 ,'classcategory_id2' => '1002'
                 ,'classcategory_name2' => 'cat1002'
-                ,'rank2' => null
+                ,'rank2' => '2'
                 ,'class_name2' => '味'
                 ,'class_id2' => '1'
Index: /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getDetailAndProductsClassTest.php
===================================================================
--- /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getDetailAndProductsClassTest.php	(revision 23526)
+++ /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getDetailAndProductsClassTest.php	(revision 23543)
@@ -106,5 +106,5 @@
                 ,'down_realfilename' => null
                 ,'classcategory_name1' => 'cat1001'
-                ,'rank1' => null
+                ,'rank1' => '1'
                 ,'class_name1' => '味'
                 ,'class_id1' => '1'
@@ -112,5 +112,5 @@
                 ,'classcategory_id2' => '1002'
                 ,'classcategory_name2' => 'cat1002'
-                ,'rank2' => null
+                ,'rank2' => '2'
                 ,'class_name2' => '味'
                 ,'class_id2' => '1'