Index: /branches/version-2_13-dev/tests/class/SC_CartSession/SC_CartSession_getCartListTest.php
===================================================================
--- /branches/version-2_13-dev/tests/class/SC_CartSession/SC_CartSession_getCartListTest.php	(revision 23526)
+++ /branches/version-2_13-dev/tests/class/SC_CartSession/SC_CartSession_getCartListTest.php	(revision 23664)
@@ -142,5 +142,4 @@
             ,'point_rate' => '0'
             ,'deliv_fee' => null
-            ,'class_count' => '1'
             ,'maker_name' => null
             ,'stock' => '99'
Index: /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getDetailAndProductsClassTest.php
===================================================================
--- /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getDetailAndProductsClassTest.php	(revision 23555)
+++ /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getDetailAndProductsClassTest.php	(revision 23664)
@@ -90,5 +90,4 @@
                 ,'point_rate' => '0'
                 ,'deliv_fee' => null
-                ,'class_count' => '1'
                 ,'maker_name' => null
                 ,'stock' => '99'
Index: /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getDetailTest.php
===================================================================
--- /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getDetailTest.php	(revision 23555)
+++ /branches/version-2_13-dev/tests/class/SC_Product/SC_Product_getDetailTest.php	(revision 23664)
@@ -90,5 +90,4 @@
                 ,'point_rate' => '0'
                 ,'deliv_fee' => null
-                ,'class_count' => '1'
                 ,'maker_name' => null
         );
Index: /branches/version-2_13-dev/data/class/db/SC_DB_DBFactory.php
===================================================================
--- /branches/version-2_13-dev/data/class/db/SC_DB_DBFactory.php	(revision 23605)
+++ /branches/version-2_13-dev/data/class/db/SC_DB_DBFactory.php	(revision 23664)
@@ -268,22 +268,20 @@
                     ,T4.point_rate
                     ,T4.deliv_fee
-                    ,T4.class_count
                     ,dtb_maker.name AS maker_name
                 FROM dtb_products
                     INNER JOIN (
-                        SELECT product_id,
-                            MIN(product_code) AS product_code_min,
-                            MAX(product_code) AS product_code_max,
-                            MIN(price01) AS price01_min,
-                            MAX(price01) AS price01_max,
-                            MIN(price02) AS price02_min,
-                            MAX(price02) AS price02_max,
-                            MIN(stock) AS stock_min,
-                            MAX(stock) AS stock_max,
-                            MIN(stock_unlimited) AS stock_unlimited_min,
-                            MAX(stock_unlimited) AS stock_unlimited_max,
-                            MAX(point_rate) AS point_rate,
-                            MAX(deliv_fee) AS deliv_fee,
-                            COUNT(*) as class_count
+                        SELECT product_id
+                            ,MIN(product_code) AS product_code_min
+                            ,MAX(product_code) AS product_code_max
+                            ,MIN(price01) AS price01_min
+                            ,MAX(price01) AS price01_max
+                            ,MIN(price02) AS price02_min
+                            ,MAX(price02) AS price02_max
+                            ,MIN(stock) AS stock_min
+                            ,MAX(stock) AS stock_max
+                            ,MIN(stock_unlimited) AS stock_unlimited_min
+                            ,MAX(stock_unlimited) AS stock_unlimited_max
+                            ,MAX(point_rate) AS point_rate
+                            ,MAX(deliv_fee) AS deliv_fee
                         FROM dtb_products_class
                         WHERE del_flg = 0 $where_products_class
Index: /branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php
===================================================================
--- /branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 23605)
+++ /branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 23664)
@@ -318,5 +318,4 @@
                     ,(SELECT MAX(point_rate) $sub_base) AS point_rate
                     ,(SELECT MAX(deliv_fee) $sub_base) AS deliv_fee
-                    ,(SELECT COUNT(*) $sub_base) AS class_count
                 FROM dtb_products
                     LEFT JOIN dtb_maker